-- Groupe "armes"
local max_wear = 65535
local min_wear = 0
treasurer.register_treasure("default:sword_wood", 0.0411, 2, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("default:sword_stone", 0.2110, 2, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("default:sword_steel", 0.0374, 3, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("default:sword_bronze", 0.0175, 3, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("default:sword_mese", 0.0066, 3, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("default:sword_diamond", 0.0034, 4, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("moreores:sword_silver", 0.0129, 3, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("moreores:sword_mithril", 0.0034, 6, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("nalc:sword_gold", 0.0066, 3, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("nalc:sword_nyan", 0.0034, 4, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("mobs:dungeon_master_sword", 0.0001, 10, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("throwing:bow_royal", 0.0051, 7, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("throwing:bow_steel", 0.0121, 5, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("throwing:arbalest_auto", 0.0092, 5, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("throwing:crossbow", 0.0134, 4, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("throwing:bow_wood", 0.0260, 4, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("throwing:bow_composite", 0.0123, 4, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("throwing:arbalest", 0.0164, 4, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("throwing:longbow", 0.0124, 3, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("spears:spear_stone", 0.1556, 2, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("spears:spear_steel", 0.0574, 2, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("spears:spear_obsidian", 0.0069, 2, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("spears:spear_diamond", 0.0065, 2, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("spears:spear_copper", 0.0306, 2, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("spears:spear_bronze", 0.0306, 2, nil, {min_wear, max_wear}, "armes")
treasurer.register_treasure("throwing:arrow_torch", 0.0034, 2, {1, 12}, nil, "armes")
treasurer.register_treasure("throwing:arrow_stone", 0.1556, 2, {1, 12}, nil, "armes")
treasurer.register_treasure("throwing:arrow_steel", 0.0574, 2, {1, 12}, nil, "armes")
treasurer.register_treasure("throwing:arrow_shell", 0.0114, 2, {1, 12}, nil, "armes")
treasurer.register_treasure("throwing:arrow_obsidian", 0.0069, 2, {1, 12}, nil, "armes")
treasurer.register_treasure("throwing:arrow_fireworks_red", 0.0114, 2, {1, 12}, nil, "armes")
treasurer.register_treasure("throwing:arrow_fireworks_blue", 0.0114, 2, {1, 12}, nil, "armes")
treasurer.register_treasure("throwing:arrow_diamond", 0.0065, 2, {1, 12}, nil, "armes")

-- Groupe "nether"
treasurer.register_treasure("nether:sword_netherrack", 0.7118, 0.59, nil, {min_wear, max_wear}, "nether")
treasurer.register_treasure("nether:sword_netherrack_blue", 0.034, 3.46, nil, {min_wear, max_wear}, "nether")
treasurer.register_treasure("nether:sword_white", 0.0004, 6.43, nil, {min_wear, max_wear}, "nether")

-- Groupe "armures"
for _,material in ipairs(
	{
		{"wood", 0.0157, 1},
		{"cactus", 0.0157, 1},
		{"steel", 0.0141, 2},
		{"hardenedleather", 0.0150, 3},
		{"bronze", 0.0063, 4},
		{"gold", 0.0023, 5},
		{"diamond", 0.0012, 6},
		{"mithril", 0.0010, 7},
		{"reinforcedleather", 0.0006, 8},
		{"blackmithril", 0.0003, 9}
	}) do
	treasurer.register_treasure("3d_armor:".."boots_"..material[1], material[2], material[3], nil, {min_wear, max_wear}, "armures")
	treasurer.register_treasure("3d_armor:".."chestplate_"..material[1], material[2], material[3], nil, {min_wear, max_wear}, "armures")
	treasurer.register_treasure("3d_armor:".."helmet_"..material[1], material[2], material[3], nil, {min_wear, max_wear}, "armures")
	treasurer.register_treasure("3d_armor:".."leggings_"..material[1], material[2], material[3], nil, {min_wear, max_wear}, "armures")
end

-- Groupe "outils"
treasurer.register_treasure("fishing:pole_wood", 0.1, 1, nil, {min_wear, max_wear}, "outils")
treasurer.register_treasure("fishing:pole_perfect", 0.0008, 10, nil, {min_wear, max_wear}, "outils")

-- Groupe "bonus"
treasurer.register_treasure("bobblocks:health_off", 0.1, 1, {1,3}, nil, "bonus")

-- Groupe "carburant"
treasurer.register_treasure("default:coalblock", 0.0004, 10, {1,4}, nil, "carburant")
treasurer.register_treasure("bucket:bucket_lava", 0.0131, 8, nil, nil, "carburant")
treasurer.register_treasure("default:coal_lump", 0.0035, 7, {1,5}, nil, "carburant")
treasurer.register_treasure("default:jungletree", 0.0235, 6, {10,30}, nil, "carburant")
treasurer.register_treasure("default:tree", 0.0235, 6, {10,30}, nil, "carburant")
treasurer.register_treasure("homedecor:oil_extract", 0.0391, 6, {1,20}, nil, "carburant")
treasurer.register_treasure("default:cactus", 0.0047, 5, {1,7}, nil, "carburant")
treasurer.register_treasure("default:junglewood", 0.0939, 4, {5,40}, nil, "carburant")
treasurer.register_treasure("default:wood", 0.0939, 3, {5,40}, nil, "carburant")
treasurer.register_treasure("default:leaves", 0.2348, 2, {1,20}, nil, "carburant")
treasurer.register_treasure("default:junglegrass", 0.1174, 2, {1,20}, nil, "carburant")
treasurer.register_treasure("default:dry_shrub", 0.1174, 1, {1,10}, nil, "carburant")
treasurer.register_treasure("default:grass_1", 0.2348, 1, {1,30}, nil, "carburant")

-- Groupe "precieux"
treasurer.register_treasure("default:mese_block", 0.0034, 10, nil, nil, "precieux")
treasurer.register_treasure("default:diamond", 0.0068, 9, nil, nil, "precieux")
treasurer.register_treasure("moreores:mineral_mithril", 0.0068, 9, nil, nil, "precieux")
treasurer.register_treasure("moreores:mithril_ingot", 0.0068, 9, nil, nil, "precieux")
treasurer.register_treasure("default:gold_lump", 0.0135, 9, {1,3}, nil, "precieux")
treasurer.register_treasure("default:gold_ingot", 0.0135, 9, {1,2}, nil, "precieux")
treasurer.register_treasure("default:mese_crystal", 0.0135, 9, {1,2}, nil, "precieux")
treasurer.register_treasure("moreores:silver_ingot", 0.0270, 8, nil, nil, "precieux")
treasurer.register_treasure("moreores:mineral_silver", 0.0270, 8, {1,2}, nil, "precieux")
treasurer.register_treasure("default:tin_ingot", 0.0304, 7, {1,2}, nil, "precieux")
treasurer.register_treasure("default:tin_lump", 0.0304, 7, {1,3}, nil, "precieux")
treasurer.register_treasure("default:copper_ingot", 0.0372, 7, {1,2}, nil, "precieux")
treasurer.register_treasure("default:bronze_ingot", 0.0372, 7, {1,3}, nil, "precieux")
treasurer.register_treasure("technic:uranium_lump", 0.0372, 7, {1,2}, nil, "precieux")
treasurer.register_treasure("default:copper_lump", 0.0405, 6, {1,3}, nil, "precieux")
treasurer.register_treasure("technic:chromium_ingot", 0.0405, 6, nil, nil, "precieux")
treasurer.register_treasure("technic:chromium_lump", 0.0439, 5, nil, nil, "precieux")
treasurer.register_treasure("technic:lead_ingot", 0.0642, 5, {1,2}, nil, "precieux")
treasurer.register_treasure("technic:lead_lump", 0.0676, 4, {1,3}, nil, "precieux")
treasurer.register_treasure("technic:zinc_ingot", 0.0743, 3, {1,2}, nil, "precieux")
treasurer.register_treasure("technic:zinc_lump", 0.0811, 3, {1,3}, nil, "precieux")
treasurer.register_treasure("default:steel_ingot", 0.0845, 2, {1,5}, nil, "precieux")
treasurer.register_treasure("default:iron_lump", 0.0912, 1, {1,10}, nil, "precieux")
treasurer.register_treasure("default:mese_crystal_fragment", 0.1216, 1, {1,2}, nil, "precieux")

-- Groupe "nourriture"
-- preciousness = hunger restaured
-- total loot chance = 0.87
-- "food" group --
treasurer.register_treasure("maptools:superapple", 0.01, 10, {1,2}, nil, "nourriture")					--rare
treasurer.register_treasure("food:bowl", 0.02, 5, {1,5}, nil, "nourriture")								--common
treasurer.register_treasure("mtfoods:dandelion_milk", 0.02, 5, {1,5}, nil, "nourriture")								--common
treasurer.register_treasure("bushes:mixed_berry_pie_raw", 0.02, 5, {1,5}, nil, "nourriture")			--common
treasurer.register_treasure("bushes:blackberry_pie_raw", 0.02, 5, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("bushes:blueberry_pie_raw", 0.02, 5, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("bushes:strawberry_pie_raw", 0.02, 5, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("bushes:raspberry_pie_raw", 0.02, 5, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("fishing:fish_raw", 0.02, 5, {1,5}, nil, "nourriture")						--common
treasurer.register_treasure("maptools:superapple", 0.02, 5, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("mobs:chicken_raw", 0.02, 5, {1,5}, nil, "nourriture")						--common
treasurer.register_treasure("mobs:meat", 0.02, 5, {1,5}, nil, "nourriture")							--common
treasurer.register_treasure("moretrees:coconut_milk", 0.02, 1, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("moretrees:raw_coconut", 0.02, 2, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("moretrees:acorn_muffin", 0.02, 3, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("moretrees:spruce_nuts", 0.02, 1, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("moretrees:pine_nuts", 0.02, 1, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("moretrees:fir_nuts", 0.02, 1, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("mushroom:poison", 0.02, 1, {1,5}, nil, "nourriture") 						--common	--1 de preciousness exeptionnel car empoisonné
treasurer.register_treasure("farming:bread", 0.02, 5, {1,5}, nil, "nourriture")							--common
treasurer.register_treasure("farming:potato", 0.02, 1, {1,5}, nil, "nourriture")						--common
treasurer.register_treasure("farming:baked_potato", 0.02, 5, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("farming:cucumber", 0.02, 3, {1,5}, nil, "nourriture")						--common
treasurer.register_treasure("farming:tomato", 0.02, 3, {1,5}, nil, "nourriture")						--common
treasurer.register_treasure("farming:carrot", 0.02, 3, {1,5}, nil, "nourriture")						--common
treasurer.register_treasure("farming:carrot_gold", 0.02, 3, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("farming:corn", 0.02, 3, {1,5}, nil, "nourriture")							--common
treasurer.register_treasure("farming:corn_cob", 0.02, 5, {1,5}, nil, "nourriture")						--common
treasurer.register_treasure("farming:melon_slice", 0.02, 2, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("farming:pumpkin_slice", 0.02, 1, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("farming:pumpkin_bread", 0.02, 7, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("farming:coffee_cup", 0.02, 2, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("farming:coffee_cup_hot", 0.02, 3, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("farming:cookie", 0.02, 2, {1,5}, nil, "nourriture")						--common
treasurer.register_treasure("farming:chocolate_dark", 0.02, 3, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("farming:donut", 0.02, 4, {1,5}, nil, "nourriture")							--common
treasurer.register_treasure("farming:donut_chocolate", 0.02, 5, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("farming:donut_apple", 0.02, 5, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("farming:raspberries", 0.02, 1, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("farming:blueberries", 0.02, 1, {1,5}, nil, "nourriture")					--common
treasurer.register_treasure("farming:muffin_blueberry", 0.02, 4, {1,5}, nil, "nourriture")				--common
treasurer.register_treasure("farming:smoothie_raspberry", 0.02, 2, {1,5}, nil, "nourriture")			--common
treasurer.register_treasure("farming:rhubarb", 0.02, 1, {1,5}, nil, "nourriture")						--common
treasurer.register_treasure("farming:rhubarb_pie", 0.02, 5, {1,5}, nil, "nourriture")					--common

-- "minetool" group --
-- preciousness = weapons efficacity/durability (look at the .ODS spreedsheat)
-- total loot chance = 0.75
treasurer.register_treasure("default:pick_diamond", 0.025, 7, 1, nil, "minetool")					--rare
treasurer.register_treasure("default:shovel_mese", 0.025, 6, 1, nil, "minetool")					--rare
treasurer.register_treasure("farming:hoe_mese", 0.05, 6, 1, nil, "minetool")						--uncommon
treasurer.register_treasure("default:pick_nyan", 0.05, 9, 1, nil, "minetool")						--uncommon
treasurer.register_treasure("default:axe_nyan", 0.05, 9, 1, nil, "minetool")						--uncommon
treasurer.register_treasure("default:pick_silver", 0.05, 5, 1, nil, "minetool")					--uncommon
treasurer.register_treasure("default:axe_silver", 0.05, 5, 1, nil, "minetool")					--uncommon
treasurer.register_treasure("default:shovel_silver", 0.05, 5, 1, nil, "minetool")				--uncommon
treasurer.register_treasure("farming:hoe_bronze", 0.1, 5, 1, nil, "minetool")						--common
treasurer.register_treasure("default:axe_steel", 0.1, 4, 1, nil, "minetool")						--common
treasurer.register_treasure("default:shovel_stone", 0.1, 3, 1, nil, "minetool")					--common
treasurer.register_treasure("farming:hoe_wood", 0.1, 2, 1, nil, "minetool")						--common

-- "building_block" group --
-- preciousness = material/craft cost
-- total loot chance = 0.7525
treasurer.register_treasure("default:diamondblock", 0.0025, 9, 1, nil, "building_block") 					--rare
treasurer.register_treasure("default:mese", 0.0025, 9, 1, nil, "building_block") 							--rare
treasurer.register_treasure("default:goldblock", 0.005, 8, 1, nil, "building_block")						--rare
treasurer.register_treasure("default:silverblock", 0.005, 8, 1, nil, "building_block") 					--rare
treasurer.register_treasure("default:bronzeblock", 0.005, 8, 1, nil, "building_block") 					--rare
treasurer.register_treasure("default:copperblock", 0.005, 8, 1, nil, "building_block") 					--rare
treasurer.register_treasure("default:steelblock", 0.005, 8, 1, nil, "building_block")						--rare
treasurer.register_treasure("default:tinblock", 0.005, 8, 1, nil, "building_block") 						--rare
treasurer.register_treasure("building_blocks:grate", 0.005, 7, {4,8}, nil, "building_block") 				--uncommon
treasurer.register_treasure("moreblocks:iron_stone_bricks", 0.005, 7, {4,8}, nil, "building_block") 		--uncommon
treasurer.register_treasure("moreblocks:coal_stone_bricks", 0.005, 4, {4,8}, nil, "building_block") 		--uncommon
treasurer.register_treasure("moreblocks:all_faces_jungle_tree", 0.005, 6, {4,8}, nil, "building_block")	--uncommon
treasurer.register_treasure("moreblocks:all_faces_tree", 0.005, 6, {4,8}, nil, "building_block") 			--uncommon
treasurer.register_treasure("building_blocks:marble", 0.01, 6, {4,8}, nil, "building_block")				--uncommon
treasurer.register_treasure("building_blocks:hardwood", 0.005, 5, {4,8}, nil, "building_block") 			--uncommon
treasurer.register_treasure("darkage:ors_brick", 0.005, 6, {4,8}, nil, "building_block") 					--uncommon
treasurer.register_treasure("darkage:marble", 0.005, 6, {4,8}, nil, "building_block")						--uncommon
treasurer.register_treasure("darkage:gneiss_cobble", 0.005, 6, {4,8}, nil, "building_block") 				--uncommon
treasurer.register_treasure("darkage:gneiss_brick", 0.005, 6, {4,8}, nil, "building_block") 				--uncommon
treasurer.register_treasure("darkage:gneiss", 0.005, 6, {4,8}, nil, "building_block") 					--uncommon
treasurer.register_treasure("darkage:basalt_cobble", 0.005, 5, {4,8}, nil, "building_block") 				--uncommon
treasurer.register_treasure("colouredstonebricks:grey", 0.01, 5, {3,6}, nil, "building_block") 			--commun
treasurer.register_treasure("colouredstonebricks:red", 0.01, 5, {3,6}, nil, "building_block") 			--commun
treasurer.register_treasure("colouredstonebricks:dark_blue", 0.01, 5, {3,6}, nil, "building_block") 		--commun
treasurer.register_treasure("colouredstonebricks:pink", 0.01, 5, {3,6}, nil, "building_block") 			--commun
treasurer.register_treasure("colouredstonebricks:orange", 0.01, 5, {3,6}, nil, "building_block") 			--commun
treasurer.register_treasure("colouredstonebricks:black", 0.01, 5, {3,6}, nil, "building_block") 			--commun
treasurer.register_treasure("moreblocks:grey_bricks", 0.01, 5, {3,6}, nil, "building_block")				--commun
treasurer.register_treasure("moreblocks:cactus_brick", 0.005, 4, {3,6}, nil, "building_block") 			--commun
treasurer.register_treasure("default:brick", 0.005, 4, {3,6}, nil, "building_block") 						--commun
treasurer.register_treasure("moreblocks:stone_tile", 0.005, 4, {3,6}, nil, "building_block") 				--commun
treasurer.register_treasure("building_blocks:Tar", 0.005, 3, {4,8}, nil, "building_block") 				--commun
treasurer.register_treasure("christmas_craft:snowman", 0.005, 3, 1, nil, "building_block") 				--commun
treasurer.register_treasure("default:snowblock", 0.005, 2, {1,2}, nil, "building_block") 					--commun
treasurer.register_treasure("default:mossycobble", 0.005, 2, {10,50}, nil, "building_block") 				--commun
treasurer.register_treasure("default:sandstonebrick", 0.025, 1, {50,99}, nil, "building_block") 			--commun
treasurer.register_treasure("default:cobble", 0.05, 1, {50,99}, nil, "building_block") 					--commun
treasurer.register_treasure("default:desert_sand", 0.05, 1, {50,99}, nil, "building_block") 				--commun
treasurer.register_treasure("default:sand", 0.05, 1, {50,99}, nil, "building_block") 						--commun
treasurer.register_treasure("default:dirt", 0.05, 1, {50,99}, nil, "building_block") 						--commun

minetest.log("action", "[nalc_trm] loaded.")
